[{"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\index.js":"1","C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\App.js":"2","C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\components\\BasicNavbar.js":"3","C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\pages\\home.js":"4","C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\pages\\about.js":"5","C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\components\\Calculator.js":"6","C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\reportWebVitals.js":"7"},{"size":478,"mtime":1610720481034,"results":"8","hashOfConfig":"9"},{"size":1357,"mtime":1610749443862,"results":"10","hashOfConfig":"9"},{"size":814,"mtime":1610791061261,"results":"11","hashOfConfig":"9"},{"size":279,"mtime":1610759067088,"results":"12","hashOfConfig":"9"},{"size":9890,"mtime":1610791855157,"results":"13","hashOfConfig":"9"},{"size":7154,"mtime":1610791100898,"results":"14","hashOfConfig":"9"},{"size":362,"mtime":1610977996569,"results":"15","hashOfConfig":"9"},{"filePath":"16","messages":"17","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"18"},"11sxr8o",{"filePath":"19","messages":"20","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"18"},{"filePath":"21","messages":"22","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"18"},{"filePath":"23","messages":"24","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"18"},{"filePath":"25","messages":"26","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"18"},{"filePath":"27","messages":"28","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"29","usedDeprecatedRules":"30"},{"filePath":"31","messages":"32","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"18"},"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\index.js",[],["33","34"],"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\App.js",[],"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\components\\BasicNavbar.js",[],"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\pages\\home.js",[],"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\pages\\about.js",[],"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\components\\Calculator.js",["35"],"import React, { Component } from \"react\";\r\nimport Link from \"react-router-dom/Link\";\r\nimport * as math from \"mathjs\";\r\n\r\n// Material-UI Imports\r\nimport Card from \"@material-ui/core/Card\";\r\nimport CardMedia from \"@material-ui/core/CardMedia\";\r\nimport CardContent from \"@material-ui/core/CardContent\";\r\nimport CardActions from \"@material-ui/core/CardActions\";\r\nimport Button from \"@material-ui/core/Button\";\r\nimport ButtonGroup from \"@material-ui/core/ButtonGroup\";\r\nimport TextField from \"@material-ui/core/TextField\";\r\nimport Tooltip from \"@material-ui/core/Tooltip\";\r\n\r\n// Image Imports\r\nimport logoEqual from \"../images/logo.png\";\r\nimport logoFull from \"../images/logoFull.svg\";\r\n\r\nconst allowedValues = [\"0\", \"1\", \"2\", \"3\", \"4\", \"5\", \"6\", \"7\", \"8\", \"9\"];\r\nconst allowedFunctions = [\"/\", \"*\", \"-\", \"+\", \".\"];\r\n\r\nexport class Calculator extends Component {\r\n  constructor(props) {\r\n    super(props);\r\n    this.state = {\r\n      input: \"\",\r\n      memory: \"\",\r\n      error: \"\",\r\n    };\r\n  }\r\n\r\n  addToInput = (val) => {\r\n    this.setState({ input: this.state.input + val });\r\n  };\r\n\r\n  handleEqual = () => {\r\n    // Validation of Equation\r\n    let inputString = this.state.input;\r\n    if (\r\n      allowedValues.includes(inputString.charAt(0)) &&\r\n      allowedValues.includes(inputString.slice(-1))\r\n    ) {\r\n      for (var i = 0; i < inputString.length - 1; ) {\r\n        let charCheck1 = inputString.charAt(i);\r\n        let charCheck2 = inputString.charAt(++i);\r\n        if (\r\n          allowedFunctions.includes(charCheck1) &&\r\n          allowedFunctions.includes(charCheck2)\r\n        ) {\r\n          return this.setState({ error: \"Invalid Equation\" });\r\n        }\r\n      }\r\n      this.setState({ input: math.evaluate(this.state.input), error: \"\" });\r\n    } else {\r\n      return this.setState({ error: \"Invalid Equation\" });\r\n    }\r\n  };\r\n\r\n  handleClear = () => {\r\n    this.setState({ input: \"\", error: \"\" });\r\n  };\r\n\r\n  handleInput = (value) => () => {\r\n    if (value === \"square\") {\r\n      const total = math.evaluate(this.state.input);\r\n      this.setState({\r\n        input: total * total,\r\n      });\r\n    } else if (value === \"root\") {\r\n      const total = math.evaluate(this.state.input);\r\n      this.setState({\r\n        input: Math.sqrt(total),\r\n      });\r\n    } else\r\n      this.setState({\r\n        input: this.state.input + value,\r\n      });\r\n  };\r\n\r\n  handleMemStore = () => {\r\n    this.setState({ memory: this.state.input });\r\n    this.setState({ input: \"\" });\r\n  };\r\n\r\n  handleMemRecall = () => {\r\n    this.setState({ input: this.state.input + this.state.memory });\r\n  };\r\n\r\n  handleKeyPress = (event) => {\r\n    let keyValue = event.key;\r\n\r\n    if (\r\n      allowedValues.includes(keyValue) ||\r\n      allowedFunctions.includes(keyValue)\r\n    ) {\r\n      this.setState({\r\n        input: this.state.input + keyValue,\r\n      });\r\n    }\r\n\r\n    if (keyValue === \",\") {\r\n      this.setState({\r\n        input: this.state.input + \".\",\r\n      });\r\n    }\r\n\r\n    if (keyValue === \"Enter\" || keyValue === \"=\") {\r\n      this.handleEqual();\r\n    }\r\n\r\n    if (keyValue === \"Backspace\") {\r\n      this.setState({\r\n        input: this.state.input.slice(0, -1),\r\n      });\r\n    }\r\n\r\n    if (keyValue === \"Delete\") {\r\n      this.handleClear();\r\n    }\r\n  };\r\n\r\n  render() {\r\n    let memUseState = this.state.memory === \"\" ? \"MS\" : \"MS*\";\r\n    return (\r\n      <div>\r\n        <Card elevation=\"3\">\r\n          <CardMedia className=\"calcBranding\" image={logoFull} />\r\n          <CardContent>\r\n            <TextField\r\n              variant=\"outlined\"\r\n              label=\"Enter Calculation\"\r\n              value={\r\n                this.state.input == \"Infinity\"\r\n                  ? \"Cannot Devide By Zero\"\r\n                  : this.state.input\r\n              }\r\n              onKeyUp={this.handleKeyPress}\r\n              error={this.state.error}\r\n              helperText={this.state.error}\r\n              fullWidth\r\n            ></TextField>\r\n          </CardContent>\r\n          <CardActions>\r\n            <div className=\"calcActionsContainer\">\r\n              <ButtonGroup variant=\"contained\" color=\"secondary\" fullWidth>\r\n                <Tooltip title=\"Clear\" placement=\"top\">\r\n                  <Button onClick={this.handleClear}>C</Button>\r\n                </Tooltip>\r\n                <Tooltip title=\"Memory Store\" placement=\"top\">\r\n                  <Button onClick={this.handleMemStore}>{memUseState}</Button>\r\n                </Tooltip>\r\n                <Tooltip title=\"Memory Recall\" placement=\"top\">\r\n                  <Button onClick={this.handleMemRecall}>MR</Button>\r\n                </Tooltip>\r\n              </ButtonGroup>\r\n              <hr />\r\n              <ButtonGroup variant=\"text\" color=\"primary\" fullWidth>\r\n                <Button onClick={this.handleInput(\"square\")}>x²</Button>\r\n                <Button onClick={this.handleInput(\"root\")}>√</Button>\r\n                <Button onClick={this.handleInput(\"(\")}>(</Button>\r\n                <Button onClick={this.handleInput(\")\")}>)</Button>\r\n              </ButtonGroup>\r\n              <hr />\r\n              <ButtonGroup variant=\"text\" color=\"primary\" fullWidth>\r\n                <Button onClick={this.handleInput(7)}>7</Button>\r\n                <Button onClick={this.handleInput(8)}>8</Button>\r\n                <Button onClick={this.handleInput(9)}>9</Button>\r\n                <Button onClick={this.handleInput(\"*\")}>x</Button>\r\n              </ButtonGroup>\r\n              <hr />\r\n              <ButtonGroup variant=\"text\" color=\"primary\" fullWidth>\r\n                <Button onClick={this.handleInput(4)}>4</Button>\r\n                <Button onClick={this.handleInput(5)}>5</Button>\r\n                <Button onClick={this.handleInput(6)}>6</Button>\r\n                <Button onClick={this.handleInput(\"/\")}>/</Button>\r\n              </ButtonGroup>\r\n              <hr />\r\n              <ButtonGroup variant=\"text\" color=\"primary\" fullWidth>\r\n                <Button onClick={this.handleInput(1)}>1</Button>\r\n                <Button onClick={this.handleInput(2)}>2</Button>\r\n                <Button onClick={this.handleInput(3)}>3</Button>\r\n                <Button onClick={this.handleInput(\"+\")}>+</Button>\r\n              </ButtonGroup>\r\n              <hr />\r\n              <ButtonGroup variant=\"text\" color=\"primary\" fullWidth>\r\n                <Button component={Link} to=\"/about\">\r\n                  ?\r\n                </Button>\r\n                <Button onClick={this.handleInput(0)}>0</Button>\r\n                <Button onClick={this.handleInput(\".\")}>.</Button>\r\n                <Button onClick={this.handleInput(\"-\")}>-</Button>\r\n              </ButtonGroup>\r\n              <hr />\r\n              <Tooltip title=\"Let's Calculate!\" placement=\"top\">\r\n                <Button\r\n                  onClick={this.handleEqual}\r\n                  variant=\"contained\"\r\n                  color=\"primary\"\r\n                  fullWidth\r\n                >\r\n                  <img className=\"calcEqualLogo\" src={logoEqual} alt=\"=\" />\r\n                </Button>\r\n              </Tooltip>\r\n            </div>\r\n          </CardActions>\r\n        </Card>\r\n      </div>\r\n    );\r\n  }\r\n}\r\n\r\nexport default Calculator;\r\n",["36","37"],"C:\\Users\\FireBladeTCO\\Desktop\\Work\\React\\Equal Experts\\Code\\ee-calculator\\src\\reportWebVitals.js",[],{"ruleId":"38","replacedBy":"39"},{"ruleId":"40","replacedBy":"41"},{"ruleId":"42","severity":1,"message":"43","line":133,"column":34,"nodeType":"44","messageId":"45","endLine":133,"endColumn":36},{"ruleId":"38","replacedBy":"46"},{"ruleId":"40","replacedBy":"47"},"no-native-reassign",["48"],"no-negated-in-lhs",["49"],"eqeqeq","Expected '===' and instead saw '=='.","BinaryExpression","unexpected",["48"],["49"],"no-global-assign","no-unsafe-negation"]